| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
https://your-system-name.thulium.com/api/customers/:id
|
id
wymagany |
Identyfikator klienta.
Przykładowa wartość: 273
|
|
include_custom_fields
opcjonalny |
Czy zwracać pola specjalne klienta.
Przykładowa wartość: true
|
|
include_address
opcjonalny |
Czy zwracać adres klienta.
Przykładowa wartość: true
|
|
include_invoice_address
opcjonalny |
Czy zwracać adres do faktur.
Przykładowa wartość: true
|
|
include_mail_drop_address
opcjonalny |
Czy zwracać adres korespondencyjny.
Przykładowa wartość: true
|
| GET | https://your-system-name.thulium.com/api/customers/273?include_custom_fields=true |
{
"customer_id": 273,
"name": "Jan",
"surname": "Kowalski",
"phone_number": "222333444",
"phone_numbers": ["222333444", "213443523"],
"email": "jan.kowalski@foo.bar",
"company_id": "",
"identifier": "",
"type": "",
"group": "",
"company_flag": "",
"account_manager":"",
"updated_at":"",
"custom_fields":
{
"ID": null,
"Dodatkowe informacje": "Numer dowodu - AXX 121212"
}
}
<?php $request = curl_init('https://your-system-name.thulium.com/api/customers/273?include_custom_fields=true'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/customers/273?include_custom_fields=true"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/customers/273?include_custom_fields=true"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/customers/273 include_custom_fields==true Accept:application/json